/*******************************************************************************
 * Copyright(c) 2022 dongke All rights reserved. / Confidential
 * 类的信息：
 *		1.程序名称：
 *		2.组织机构列表
 * 编辑履历：
 *		作者				日期					版本				修改内容
 *		王英杰		   2024-2-12	    1.00		   	    
 *******************************************************************************/
const Constants = require('@/utils/Constants.js');
const mixins = require('@/mixins/index.js')
const util = require('@/utils/util.js')
const app = getApp()
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    addForm: {},
    // 路由
    routeObjName: 'org',

  },



  /**
   * @desc : 设置查询参数
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  setSearchParams(params) {
    params.pageSize = null
    params.currentPage = null
    params.orgId = this.data.item.editFlag?( this.data.item.parentId||null):null
    return params
  },

  /**
   * @desc : 查询
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectChooseOrg, params);
  },

  /**
   * @desc : 查询 后续处理
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  handleSearchData(data) {
    this.setData({
      tableData: this.dataHandling(data),
    })
 
  },
   /**
   * @desc : 重新排列下数据
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  dataHandling(dataList) {
    // 初始化data  
    let data = []; 
    // 初始化一个临时列表来存放当前level no等于2以及之后相连的数据  
    let tempList = []; 
    let firstFlag = true
    // 遍历dataList  
    for (let i = 0; i < dataList.length; i++) {
      const item = dataList[i]; 
      if(item.levelNo === 1){ //因为从二级部门开始选择 所以跳过一级 
        continue;
      }
      // 如果当前项的level no等于2，  第一次的2 开头还没有明细 所以加了也是空 不要加 不懂问我 （wyj）
      if (item.levelNo === 2 && !firstFlag ) { 
        // 将tempList添加到data中，并清空tempList  
        data.push(tempList);
        tempList = [];
      }     
        firstFlag = false
        tempList.push(item); 
      // 将当前项添加到tempList中   
    } 
    // 如果tempList还有剩余数据（即最后一个level no不等于2的连续序列），也添加到data中  
    if (tempList.length > 0) {
      data.push(tempList);
    }
    return data
  },
  /**
   * @desc : dk-tree 控件回调点击事件
   * @date : 2024/2/1 15:49
   * @author : 王英杰
   */
  clickName(e) {     
    console.log("eee",e);
    let item = e.currentTarget.dataset.item
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.emit('bindData', {
      data: {
        id: item.orgId,
        name: item.orgName
      }
    })
     
    wx.navigateBack({
      delta: 1
    })
  },

})